Bug 154822

Summary: fc4test2 couldn't start XWin when booting from Xen entry.
Product: [Fedora] Fedora Reporter: You, Yongkang <yongkang.you>
Component: xenAssignee: Rik van Riel <riel>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: fei.fei, sct
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-01-26 11:21:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
The log of start X.
none
The red color of installation after diskboot.img run none

Description You, Yongkang 2005-04-14 09:51:33 EDT
Description of problem:
We installed binary domain0 and domainU kernels RPMS manually by "# rpm -ivh"
and enabled it in grub. Rebooted system to run level 5. We found XWindows can't
display anymore. Changing it to run level 3 is ok but "startx" will also have
the same issue. The behavior is "no mouse and keyboard response". The log file
of Xwindows is attached. Something about " BIOS function" failed. We added line
	Option "DisplayInfo" "FALSE"
to /etc/X11/xorg.conf file as mentioned in Xorg.0.log but did not help.


Version-Release number of selected component (if applicable):
2.6.11-1

How reproducible:
Every times.

Steps to Reproduce:
1.Install all Xen RPMS in fc4test2.
2.Check the configuraton under /boot/grub/grub.conf
3.Disable tls.
4.Reboot to runlevel 5.
5.XWin couldn't boot up.
6.runlevel 3 can start up. But using "startx" also become the same black screen.
  
Actual results:
Xwin couldn't start up with Xen.

Expected results:
Xwin can start up with Xen.

Additional info:
Comment 1 You, Yongkang 2005-04-14 09:51:35 EDT
Created attachment 113146 [details]
The log of start X.
Comment 2 Rik van Riel 2005-04-14 10:24:17 EDT
I don't have that hardware here, so I cannot reproduce this bug.  I'm afraid
this will need to be debugged by one of the Intel engineers working on Xen...
Comment 3 You, Yongkang 2005-04-14 21:49:23 EDT
I change the hardware to IA32E.
Comment 4 Rik van Riel 2005-04-14 22:37:07 EDT
There are no Xen RPMs for x86_64. Why did you change the platform to ia32e?
Comment 5 Warren Togami 2005-04-14 22:40:06 EDT
ia32e is ia64's 32bit compat no?
Comment 6 You, Yongkang 2005-04-14 23:07:42 EDT
I think ia32e is only the hardware. It can both install ia32 RPMS and ia64 RPMS,
isn't it? We install the ia32 RPMS on a ia32e machine in deed.  :)
Comment 7 Rik van Riel 2005-04-14 23:41:03 EDT
OK
Comment 8 You, Yongkang 2005-04-30 01:37:39 EDT
At present I can use the workaroud to create both modified DomU and unmodified 
Guest OS with Xen bk tree "1.1366" in remote windows, as Xwin couldn't start 
directly.

The steps are:
1. Get the 1.1366 from Xen bk tree.
2. Make new kernel for Xen0 and XenU.
3. Make the initrd
4. Cope the new lib/ boot/ usr/ to the root directory.
5. Reboot and enter system with runlevel=3.
6. Using Windows to remote start Xwin.
7. Open the terminal to start xend and create modified domU and unmodified VMX.

There are two ways to remote start Xwin.
1. cygwin in MS Windows. Firstly, execute "startx" in cygwin. After starting 
cygwin X server execute "xend start" in the new window. Then can create guest 
OS. 
2. vncclient. Firstly, start vncserver on server. Seconly, using client 
vncclient connect to the server. Then can create guest OSs in the xterm.
Comment 9 You, Yongkang 2005-05-20 01:19:34 EDT
Rik has given a way to deal with it:
"move /usr/X11/lib/modules/linux/libint10.a out of the way";
I have tried it. It really works. 
Could this bug status change to FIX?
Comment 10 You, Yongkang 2005-06-16 02:00:02 EDT
This bug happened again in FC4.
Xwin coudn't start in service OS (xen0). It can start in the native FC4.
And the resolution in FC4 Test2&Test3 can't work in FC4. (remove
/usr/X11/lib/modules/linux/libint10.a)

In service OS after I rm /usr/X11/lib/modules/linux/libint10.a,
if I startx, it report error: "couldn't load module int10"
with Fatal error: "No screen found".
Comment 11 Stephen Tweedie 2006-01-24 18:25:57 EST
This looks related to a vm86 emulation bug that is currently causing Kudzu to
segfault on boot.  Can you check whether current FC5test2 / rawhide shows the
same problem, please?  That has a much newer HV and Xen kernel; it would be
useful to know if the problem persists in this version, as we already know that
display probing is broken from Kudzu in that release (although X seems to work
for most people.)  Thanks.
Comment 12 You, Yongkang 2006-01-24 20:48:17 EST
Okay. I will try to download FC5-test2 and test it about startX issue. But for 
your information, our network bandwidth has some issue to download large image 
files in a short time. And it is near Chinese New Year (3 days left). Anyway I 
will try my best to do it as soon as possible. And give you the feedback.

I have seen that FC5-test3 will be released in Februray. We are planning to do 
more testings about Xen and VMX for FC5-test3.
Comment 13 You, Yongkang 2006-01-25 20:26:45 EST
Hi all,
I have downloaded the FC5-test2 ISOs. I am installing FC5-test2 (IA32). But I 
have met display issue, even if I chose text mode to install.

Brief Summary -- 2 issues:
================
1. Text mode installation has display problem.
2. A box told me about Invalid IP information after I select maunally make 
partitions.


Detail:
================
I can see some abnormal display in blue backgroud screen. And after I select 
manually make partitions, I meet a "blue screen" problem. I can see the bottom 
comments, such like "F12 Next Screen", but no any box can I enter something. 
Then I press F12, there is a box popped up with Not Invalid IP information. I 
am not sure what the IP mean. I have select HTTP to install, and it has found 
the installation source.

At last I have to quit installation. I will try the other way to install it. I 
report later.
Comment 14 You, Yongkang 2006-01-25 20:50:18 EST
1 update. The Invalid IP information should happened at choosing DHCP and 
hostname screen. But nothing I can catched in the screen.
Comment 15 You, Yongkang 2006-01-26 00:26:36 EST
I have finished a simple testing about installation, startx, Xen and VMX in 
IA32/IA32e(x86_64) for FC5-test2.

For the X and installation testing:
----------------------
Both IA32/IA32e has the strange color problems in text mode when installation.
1. *** The color is strange in the first screen after run diskboot.img. (I 
will paste the pic later)    __FAIL__
2. *** When installation go into DHCP setting page, no option items can be 
seen in text mode.     __FAIL__
3. Graphic mode installation has not problems. __PASS__
4. Startx is OK.   __PASS__
5. After install xen packages manually, startx is also OK.  __PASS__
6. I can also capture kuduz segment fault issue.     __FAIL__

For Xen and VMX testing:
1. *** IA32E hasn't RPMS about Xen hypervisor and Xen0/XenU kernel. __FAIL__
2. *** In order to boot up IA32 Xen0, I have to add pci=noacpi as the boot 
parameter of Xen0. Or system will hang when initial PCI.  __FAIL__
3. After install IA32 Xen RPMs, I can see /boot/grub/grub.conf has changed 
with xen kernels. But the line for initrd.img is missed. So SCSC device can't 
boot with the default grub.conf .   __FAIL__
4. *** /usr/lib/xen/boot/vmxloader isn't in the RPM package, so VMX Guest 
couldn't be created. I suspected build machine hasn't bcc, it is from DEV86 
package.  __FAIL__
5. After copy a useable vmxloader to the destination, IA32 VMX Guest can be 
created successfully!  __PASS__ 
6. Couldn't get Xen Changeset by "xm info" or "xm dmesg".

We will do more testing in FC5-test3. :) Any comments, please let me know.
Comment 16 You, Yongkang 2006-01-26 01:04:03 EST
Created attachment 123706 [details]
The red color of installation after diskboot.img run

The red color of installation after diskboot.img run
Comment 17 Stephen Tweedie 2006-01-26 11:20:03 EST
Thanks very much for the testing!

Unfortunately, bugzilla is a tool of very little brain.  It really can't cope
with having multiple different bug reports concerning multiple different
components in the same bug number: it's just not possible to assign a bugzilla
bug to multiple people, and the bugs you describe cover many different areas of
the distribution.  Could you possibly report these separate bugs individually so
that we can track them properly, please?

A discussion of pass/fail status is really useful; we have a mailing list,
fedora-xen-list, which would be an ideal place to post such information.

Thanks!
Comment 18 Stephen Tweedie 2006-01-26 11:21:07 EST
Closing this bug as the initially reported problem with X is now fixed.
Comment 19 Stephen Tweedie 2006-01-26 11:22:27 EST
NB. You can subcribe to the fedora xen list at

   https://www.redhat.com/mailman/listinfo/fedora-xen

Comment 20 You, Yongkang 2006-01-26 20:36:42 EST
Okay. Thank you for your information. Hope my testing result is useful to you. 
I just want to do a record here. I will report the result to fedora-xen 
mailling list. Thank you very much!